Dropbear SSH Server svr_ses.childpidsize Remote Overflow

This script is Copyright (C) 2008-2012 Tenable Network Security, Inc.


Synopsis :

Authenticated users can gain elevated privileges.

Description :

According to its banner, the remote host is runnning a version of
Dropbear SSH before 0.47. Such versions contain a buffer allocation
error that may allow an authenticated user to gain elevated
privileges.

See also :

http://lists.ucc.gu.uwa.edu.au/pipermail/dropbear/2005q4/000312.html
http://matt.ucc.asn.au/dropbear/CHANGES

Solution :

Upgrade to the Dropbear SSH 0.47 or later.

Risk factor :

High / CVSS Base Score : 9.0
(CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C)
CVSS Temporal Score : 6.7
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Misc.

Nessus Plugin ID: 34769 (dropbear_ssh_0_47.nasl)

Bugtraq ID: 15923

CVE ID: CVE-2005-4178